<div class="flex h-screen">
  <mat-card class="h-96 w-96 m-auto justify-between mat-elevation-z2">
    <mat-card-header class="justify-center">
      <mat-card-title i18n="@@chooseAccount">Choose Account</mat-card-title>
    </mat-card-header>
    <mat-card-content class="justify-center">
      <form [formGroup]="userSelectionForm">
        <div
          *ngFor="let user of userSelectionForm.get('users')['controls']; let i = index;"
          formArrayName="users">
          <div [formGroupName]="i" class="flex flex-wrap justify-center items-center">
            <button
              class="flex-initial w-4/5"
              [disabled]="disableChoice"
              (click)="chooseUser(i)"
              mat-stroked-button>{{ user.value.email || user.value.phone }}</button>
            <button
              mat-icon-button
              matSuffix
              class="flex-initial"
              [disabled]="disableChoice"
              (click)="logoutUser(i)">
              <mat-icon>close</mat-icon>
            </button>
          </div>
        </div>
      </form>
    </mat-card-content>
    <mat-card-actions class="justify-around m-4">
      <button
        (click)="addAccount()"
        [disabled]="disableChoice"
        class="m-4"
        mat-stroked-button>Add Account</button>
    </mat-card-actions>
  </mat-card>
</div>
